/**
 * Style for ApCaptcha.
 * @class ApCaptchaStyle
 */

'use strict'

import React, {PropTypes as types} from 'react'
import {ApStyle} from 'apeman-react-style'

/** @lends ApCaptchaStyle */
const ApCaptchaStyle = React.createClass({
  propTypes: {
    style: types.object
  },
  getDefaultProps () {
    return {
      style: {}
    }
  },
  render () {
    const s = this
    let { props } = s
    let data = {
      '.ap-captcha': {
        display: 'block',
        position: 'relative',
        background: '#FAFAFA',
        padding: '8px',
        boxSizing: 'border-box',
        textAlign: 'center'
      },
      '.ap-captcha-image': {
        background: 'white',
        border: '1px solid #E0E0E0'
      },
      '.ap-captcha-image .ap-image-spinner': {
        background: 'transparent'
      },
      '.ap-captcha-refresh-button': {
        display: 'block',
        textAlign: 'right',
        cursor: 'pointer',
        padding: '4px 8px',
        position: 'absolute',
        fontSize: '12px',
        right: 0,
        bottom: 0,
        background: 'rgba(255,255,255,0.9)'
      },
      '.ap-captcha-refresh-button:active': {
        opacity: 0.8
      },
      '.ap-captcha-spinner': {
        position: 'absolute',
        left: 0,
        top: 0,
        right: 0,
        bottom: 0,
        zIndex: 4,
        background: 'rgba(255,255,255,0.9)',
        color: '#CCC'
      }
    }
    let smallMediaData = {}
    let mediumMediaData = {}
    let largeMediaData = {}
    return (
      <ApStyle
        data={ Object.assign(data, props.style) }
        smallMediaData={ smallMediaData }
        mediumMediaData={ mediumMediaData }
        largeMediaData={ largeMediaData }
      >{ props.children }</ApStyle>
    )
  }
})

export default ApCaptchaStyle
